Subject: RE: issue 10

From: "Abarbanel, Benjamin" <[email-masked]>
Date: Wed, 25 Sep 2002 15:01:44 -0400

Comment below

> -----Original Message-----
> From: Yakov Rekhter [mailto:[email-masked]]
> Sent: Wednesday, September 25, 2002 2:47 PM
> To: [email-masked]
> Subject: issue 10
> 
> 
>   10) Extending AS_PATH Attribute
>   
> --------------------------------------------------------------
> --------------
>   Status: No Consensus
>   Change: Potentially
>   Summary: Specific text required to delimit behavior when 
> AS_PATH length
>    is exceeded.
>   
>   Discussion:
>   
>   The "Extending AS_PATH attribute length en route" thread brought up
>   the issue of what action should we specify when we receive a route
>   with an AS_PATH that exceeds the defined maximum length.  There was
>   some discussion, and it was suggested that, after logging the error,
>   the route not be propegated.  No text was proposed.  This 
> issue needs
>   consensus:  Do we specify the behavior?  If so what with what text?
> 
> The real issue here is how to handle the case when a route
> (a single address prefix + path attributes) doesn't fit into
> 4K bytes (as the max BGP message size is 4 K). To address
> this issue I would suggest to add the following to 9.2:
> 
>    If due to the limits on the maximum size of an UPDATE message
>    (see Section 4) a single route doesn't fit into the message,
>    the BGP speaker may choose not to advertise the route to its
>    peers.  Other alternatives of handling this situation are outside
>    the scope of this document.
> 

I think to leave this wide open is a mistake. If the AS-PATH field makes
the "single" route UPDATE message too long (> 4k bytes). Its no different
than having an IP packet expire (decrement to zero) the TTL field.
Therefore,
we should consider the packet invalid and take whatever course of action
is appropriate for a route that cannot be transported in the given BGP
protocol. There is no need to say that "Other alternatives of handling this
situation are outside the scope of this document".

In summary, I vote to delete the last line starting with "Other alternatives
..."

Ben

> Yakov.

---

From: Yakov Rekhter <[email-masked]>
Date: Wed, 25 Sep 2002 14:23:59 -0700

Ben,

> In summary, I vote to delete the last line starting with "Other alternatives

I have no objections to this.

Yakov.